package basicsWidgets;

import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.events.*;
/**
 * 
 * @author jjoller
 *
 * Einfache Buttons in SWT
 */
public class ButtonDemo {
	
	public static Display buttonDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		buttonDisplay = new Display();
		ButtonDemo bd = new ButtonDemo();
		bd.runDemo(buttonDisplay);
	}

	public void runDemo(Display display) {
		buttonDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300,300);
		shell.setText("Button Demo");

		Button button1 = new Button(shell,SWT.PUSH);
		button1.setText("Hello");
		button1.setLocation(10,10);
		button1.setSize(100,20);
		button1.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				System.out.println("Button wurde geklickt");
			}
		});

		Button button2 = new Button(shell, SWT.RADIO);
		button2.setSize(20,20);
		button2.setLocation(10,30);

		Button button3 = new Button(shell, SWT.CHECK|SWT.FLAT);
		button3.setSize(20,20);
		button3.setLocation(10,50);

		Button button4 = new Button(shell, SWT.FLAT|SWT.TOGGLE);
		button4.setSize(50,50);
		button4.setLocation(20,50);

		Button button5 = new Button(shell, SWT.FLAT|SWT.TOGGLE);
		button5.setSize(50,50);
		button5.setLocation(80,50);

		Button button6 = new Button(shell, SWT.ARROW_RIGHT);
		button6.setSize(50,50);
		button6.setLocation(20,100);

		Button button7 = new Button(shell, SWT.ARROW);
		button7.setSize(50,50);
		button7.setLocation(80,150);

		shell.open();

		while(!shell.isDisposed()){
		if(!display.readAndDispatch())
			display.sleep();
		}
		if (internalCall) display.dispose();
	}
}

