package basicsWidgets;

import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
/**
 * @author jjoller
 *
 * Text Widgets in SWT
 */
public class TextDemo {

	public static Display textDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		textDisplay = new Display();
		TextDemo td = new TextDemo();
		td.runDemo(textDisplay);
	}

	public void runDemo(Display display) {
		textDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300, 300);
		shell.setText("Text Demo");

				Text text1 = new Text(shell, SWT.BORDER);
				text1.setText("Texteingabe Feld");
				text1.setBounds(10, 10, 200, 20);
				text1.setTextLimit(30);

				// Abfrage des Textes im Textfeld (ohne Listener)
				String strImText = text1.getText();
				System.out.println("[TextLabel]Text = " + strImText);
				text1.insert("Hallo");
				strImText = text1.getText();
				System.out.println("[TextLabel]Text = " + strImText);

				Text text2 = new Text(shell, SWT.NONE);
				text2.setEchoChar('*');
				text2.setBounds(10, 50, 200, 20);
				text2.setText("Passwort");
				Text text3 = new Text(shell, SWT.BORDER|SWT.H_SCROLL|SWT.V_SCROLL);
				text3.setBounds(10,10,200,100);
				text3.setEditable(false);
				String langerText = "Hier folgt ein etwas langer Text\n"+
				 					"in einer scrollbaren Flche\n"+
				 					"Der Text ist aber nicht editierbar.\n"+
				 					"Er wurde explizit als nicht editierbar\n"+
				 					"gesetzt\n"+
				 					"Falls mit setEditable(true)\n"+
				 					"der Text editierbar gesetzt wird,\n"+
				 					"knnte dieser Text verndert werden.\n"+
				 					"<b>fett</b>";
				text3.setText(langerText);

		shell.open();

		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
		if (internalCall)
			display.dispose();
	}
}
